package cn.pluss.platform.merchantRegistAuditRecord.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.MerchantRegistAuditRecord;
import cn.pluss.platform.merchantRegistAuditRecord.MerchantRegistAuditRecordService;
import cn.pluss.platform.mapper.MerchantRegistAuditRecordMapper;

@Transactional
@Service("merchantRegistAuditRecordService")
public class MerchantRegistAuditRecordServiceImpl  implements MerchantRegistAuditRecordService{

	 private static final Logger logger = LoggerFactory.getLogger( MerchantRegistAuditRecordServiceImpl.class);


    @Autowired
	  private MerchantRegistAuditRecordMapper merchantRegistAuditRecordMapper;

    @Override
    public MerchantRegistAuditRecord queryMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord){
        return merchantRegistAuditRecordMapper.queryMerchantRegistAuditRecord(merchantRegistAuditRecord);
    }

    @Override
    public List<MerchantRegistAuditRecord> queryMerchantRegistAuditRecordList(MerchantRegistAuditRecord merchantRegistAuditRecord){
        return merchantRegistAuditRecordMapper.queryMerchantRegistAuditRecordList(merchantRegistAuditRecord);
    }
    @Override
    public void saveMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord){
          merchantRegistAuditRecordMapper.saveMerchantRegistAuditRecord(merchantRegistAuditRecord);
    }
    @Override
    public void updateMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord){
        merchantRegistAuditRecordMapper.updateMerchantRegistAuditRecord(merchantRegistAuditRecord);
    }
    @Override
    public void deleteMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord){
        merchantRegistAuditRecordMapper.deleteMerchantRegistAuditRecord(merchantRegistAuditRecord);
    }
    @Override
    public List<MerchantRegistAuditRecord> queryMerchantRegistAuditRecordPage(Map map){
        return merchantRegistAuditRecordMapper.queryMerchantRegistAuditRecordPage(map);
    }
    @Override
    public Integer queryMerchantRegistAuditRecordPageCount(Map map){
        return merchantRegistAuditRecordMapper.queryMerchantRegistAuditRecordPageCount(map);
    }
    @Override
    public void saveMerchantRegistAuditRecordBatch(List<MerchantRegistAuditRecord> merchantRegistAuditRecordList) {
         merchantRegistAuditRecordMapper.saveMerchantRegistAuditRecordBatch(merchantRegistAuditRecordList);
    }
}

